Page MenuHomePhabricator

CIDR finder should allow spaces around the minus character
Closed, ResolvedPublic

Description

The CIDR finder box in the CheckUser tool is a useful tool; as a CU I often find the IP range of an ISP through WHOIS and copy-and-paste it into this box to convert into a CIDR range (for running subsequent checks, blocking the IP range, etc). However, most WHOIS websites return values like xxx.xxx.xxx.xxx - xxx.xxx.xxx.xxx and the - (space minus space) part prevents the CIDR tool from calculating the range. I have to go and manually remove the spaces for it to work.

Event Timeline

Huji created this task.Dec 6 2016, 7:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2016, 7:31 PM
Huji renamed this task from CIDR finder should ignore '-' character to CIDR finder should ignore the minus character.Dec 6 2016, 7:32 PM
Huji claimed this task.
Huji added projects: CheckUser, good first bug.
Huji updated the task description. (Show Details)
Restricted Application added subscribers: TerraCodes, JEumerus. · View Herald TranscriptDec 6 2016, 7:32 PM
Huji triaged this task as Lowest priority.Dec 6 2016, 7:32 PM
Huji renamed this task from CIDR finder should ignore the minus character to CIDR finder should allow spaces around the minus character.Dec 6 2016, 7:50 PM
Huji updated the task description. (Show Details)

Change 325615 had a related patch set uploaded (by Huji):
CIDR finder should allow spaces around the minus character

https://gerrit.wikimedia.org/r/325615

Change 325615 merged by jenkins-bot:
CIDR finder should allow spaces around the minus character

https://gerrit.wikimedia.org/r/325615

Huji closed this task as Resolved.Dec 21 2016, 8:08 PM
Huji removed a project: Patch-For-Review.
MarcoAurelio moved this task from Backlog to Closed on the CheckUser board.Jan 22 2017, 4:30 PM